/* ------------------------------------------------------------
// Copyright 2000 ST Microelectronics
// ------------------------------------------------------------
// This software is the property of ST Microelectronics which
// specifically grants the user the right to modify, use and
// distribute this software provided this notice is not removed
// or altered. All other rights are reserved by ST.
// ------------------------------------------------------------
// ST MAKES NO WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, WITH
// REGARD TO THIS SOFTWARE. IN NO EVENT SHALL ST BE LIABLE FOR
// INCIDENTAL OR CONSEQUENTIAL DAMAGES IN CONNECTION WITH OR
// ARISING FROM THE FURNISHING, PERFORMANCE, OR USE OF THIS
// SOFTWARE.
// ------------------------------------------------------------
// So that all may benefit from your experience, please report
// any problems or suggestions about this software back to ST.
// Please include your name, company, telephone number, email,
// ST product requiring support and question or problem
// encountered.
// ------------------------------------------------------------
// ST Microelectronics
// Technoparc du pays de gex
// 165 rue Edouard Branly bp112
// 06637 St Genis Pouilly cedex
// France
// ------------------------------------------------------------
// To contact us : http://www.st.com/stpc
// ------------------------------------------------------------*/

/* ------------------------------------------------------------
// Copyright (C) 2000 STMicroelectronics
// ------------------------------------------------------------
// NVG/SICL/System Solution
// ------------------------------------------------------------
// FILE NAME	: crtcpal.c
// LIBRARY		: STPC Graphics Development Kit
// MODULE		: libhard\crtc
// PORTABILITY	: ANSI C
// ------------------------------------------------------------
// REVISION		: Rev 1.00
// DATE:		: March, 1st 2000
// AUTHOR:		: Thierry Vuillaume
// ------------------------------------------------------------
// DESCRIPTION	: Default color palette for 256 colors graphics
//				  mode
// ------------------------------------------------------------
// VARIABLES	: HWCRTC_DefaultPalette
// ------------------------------------------------------------
// MACROS		: -
// ------------------------------------------------------------
// FUNCTIONS	: -
// ------------------------------------------------------------*/

/* ------------------------------------------------------------
// REVISION		: Rev 1.00
// DATE			: March, 1st 2000
// AUTHOR		: Thierry Vuillaume
// ------------------------------------------------------------
// MODIFICATIONS: Initial source code	
// ------------------------------------------------------------*/

/* ------------------------------------------------------------
// VARIABLE		: HWCRTC_DefaultPalette 
// ------------------------------------------------------------
// DESCRIPTION	: Default color palette for 256 colors graphic
//				  mode
// ------------------------------------------------------------*/
unsigned char HWCRTC_pucDefaultPalette[]={
 /*  R,  G,   B*/
0x00, 0x00, 0x00,
0x00, 0x00, 0x2A,
0x00, 0x2A, 0x00,
0x00, 0x2A, 0x2A,
0x2A, 0x00, 0x00,
0x2A, 0x00, 0x2A,
0x2A, 0x15, 0x00,
0x2A, 0x2A, 0x2A,
0x15, 0x15, 0x15,
0x15, 0x15, 0x3F,
0x15, 0x3F, 0x15,
0x15, 0x3F, 0x3F,
0x3F, 0x15, 0x15,
0x3F, 0x15, 0x3F,
0x3F, 0x3F, 0x15,
0x3F, 0x3F, 0x3F,
0x00, 0x00, 0x00,
0x05, 0x05, 0x05,
0x08, 0x08, 0x08,
0x0B, 0x0B, 0x0B,
0x0E, 0x0E, 0x0E,
0x11, 0x11, 0x11,
0x14, 0x14, 0x14,
0x18, 0x18, 0x18,
0x1C, 0x1C, 0x1C,
0x20, 0x20, 0x20,
0x24, 0x24, 0x24,
0x28, 0x28, 0x28,
0x2D, 0x2D, 0x2D,
0x32, 0x32, 0x32,
0x38, 0x38, 0x38,
0x3F, 0x3F, 0x3F,
0x00, 0x00, 0x3F,
0x10, 0x00, 0x3F,
0x1F, 0x00, 0x3F,
0x2F, 0x00, 0x3F,
0x3F, 0x00, 0x3F,
0x3F, 0x00, 0x2F,
0x3F, 0x00, 0x1F,
0x3F, 0x00, 0x10,
0x3F, 0x00, 0x00,
0x3F, 0x10, 0x00,
0x3F, 0x1F, 0x00,
0x3F, 0x2F, 0x00,
0x3F, 0x3F, 0x00,
0x2F, 0x3F, 0x00,
0x1F, 0x3F, 0x00,
0x10, 0x3F, 0x00,
0x00, 0x3F, 0x00,
0x00, 0x3F, 0x10,
0x00, 0x3F, 0x1F,
0x00, 0x3F, 0x2F,
0x00, 0x3F, 0x3F,
0x00, 0x2F, 0x3F,
0x00, 0x1F, 0x3F,
0x00, 0x10, 0x3F,
0x1F, 0x1F, 0x3F,
0x27, 0x1F, 0x3F,
0x2F, 0x1F, 0x3F,
0x37, 0x1F, 0x3F,
0x3F, 0x1F, 0x3F,
0x3F, 0x1F, 0x37,
0x3F, 0x1F, 0x2F,
0x3F, 0x1F, 0x27,
0x3F, 0x1F, 0x1F,
0x3F, 0x27, 0x1F,
0x3F, 0x2F, 0x1F,
0x3F, 0x37, 0x1F,
0x3F, 0x3F, 0x1F,
0x37, 0x3F, 0x1F,
0x2F, 0x3F, 0x1F,
0x27, 0x3F, 0x1F,
0x1F, 0x3F, 0x1F,
0x1F, 0x3F, 0x27,
0x1F, 0x3F, 0x2F,
0x1F, 0x3F, 0x37,
0x1F, 0x3F, 0x3F,
0x1F, 0x37, 0x3F,
0x1F, 0x2F, 0x3F,
0x1F, 0x27, 0x3F,
0x2D, 0x2D, 0x3F,
0x31, 0x2D, 0x3F,
0x36, 0x2D, 0x3F,
0x3A, 0x2D, 0x3F,
0x3F, 0x2D, 0x3F,
0x3F, 0x2D, 0x3A,
0x3F, 0x2D, 0x36,
0x3F, 0x2D, 0x31,
0x3F, 0x2D, 0x2D,
0x3F, 0x31, 0x2D,
0x3F, 0x36, 0x2D,
0x3F, 0x3A, 0x2D,
0x3F, 0x3F, 0x2D,
0x3A, 0x3F, 0x2D,
0x36, 0x3F, 0x2D,
0x31, 0x3F, 0x2D,
0x2D, 0x3F, 0x2D,
0x2D, 0x3F, 0x31,
0x2D, 0x3F, 0x36,
0x2D, 0x3F, 0x3A,
0x2D, 0x3F, 0x3F,
0x2D, 0x3A, 0x3F,
0x2D, 0x36, 0x3F,
0x2D, 0x31, 0x3F,
0x00, 0x00, 0x1C,
0x07, 0x00, 0x1C,
0x0E, 0x00, 0x1C,
0x15, 0x00, 0x1C,
0x1C, 0x00, 0x1C,
0x1C, 0x00, 0x15,
0x1C, 0x00, 0x0E,
0x1C, 0x00, 0x07,
0x1C, 0x00, 0x00,
0x1C, 0x07, 0x00,
0x1C, 0x0E, 0x00,
0x1C, 0x15, 0x00,
0x1C, 0x1C, 0x00,
0x15, 0x1C, 0x00,
0x0E, 0x1C, 0x00,
0x07, 0x1C, 0x00,
0x00, 0x1C, 0x00,
0x00, 0x1C, 0x07,
0x00, 0x1C, 0x0E,
0x00, 0x1C, 0x15,
0x00, 0x1C, 0x1C,
0x00, 0x15, 0x1C,
0x00, 0x0E, 0x1C,
0x00, 0x07, 0x1C,
0x0E, 0x0E, 0x1C,
0x11, 0x0E, 0x1C,
0x15, 0x0E, 0x1C,
0x18, 0x0E, 0x1C,
0x1C, 0x0E, 0x1C,
0x1C, 0x0E, 0x18,
0x1C, 0x0E, 0x15,
0x1C, 0x0E, 0x11,
0x1C, 0x0E, 0x0E,
0x1C, 0x11, 0x0E,
0x1C, 0x15, 0x0E,
0x1C, 0x18, 0x0E,
0x1C, 0x1C, 0x0E,
0x18, 0x1C, 0x0E,
0x15, 0x1C, 0x0E,
0x11, 0x1C, 0x0E,
0x0E, 0x1C, 0x0E,
0x0E, 0x1C, 0x11,
0x0E, 0x1C, 0x15,
0x0E, 0x1C, 0x18,
0x0E, 0x1C, 0x1C,
0x0E, 0x18, 0x1C,
0x0E, 0x15, 0x1C,
0x0E, 0x11, 0x1C,
0x14, 0x14, 0x1C,
0x16, 0x14, 0x1C,
0x18, 0x14, 0x1C,
0x1A, 0x14, 0x1C,
0x1C, 0x14, 0x1C,
0x1C, 0x14, 0x1A,
0x1C, 0x14, 0x18,
0x1C, 0x14, 0x16,
0x1C, 0x14, 0x14,
0x1C, 0x16, 0x14,
0x1C, 0x18, 0x14,
0x1C, 0x1A, 0x14,
0x1C, 0x1C, 0x14,
0x1A, 0x1C, 0x14,
0x18, 0x1C, 0x14,
0x16, 0x1C, 0x14,
0x14, 0x1C, 0x14,
0x14, 0x1C, 0x16,
0x14, 0x1C, 0x18,
0x14, 0x1C, 0x1A,
0x14, 0x1C, 0x1C,
0x14, 0x1A, 0x1C,
0x14, 0x18, 0x1C,
0x14, 0x16, 0x1C,
0x00, 0x00, 0x10,
0x04, 0x00, 0x10,
0x08, 0x00, 0x10,
0x0C, 0x00, 0x10,
0x10, 0x00, 0x10,
0x10, 0x00, 0x0C,
0x10, 0x00, 0x08,
0x10, 0x00, 0x04,
0x10, 0x00, 0x00,
0x10, 0x04, 0x00,
0x10, 0x08, 0x00,
0x10, 0x0C, 0x00,
0x10, 0x10, 0x00,
0x0C, 0x10, 0x00,
0x08, 0x10, 0x00,
0x04, 0x10, 0x00,
0x00, 0x10, 0x00,
0x00, 0x10, 0x04,
0x00, 0x10, 0x08,
0x00, 0x10, 0x0C,
0x00, 0x10, 0x10,
0x00, 0x0C, 0x10,
0x00, 0x08, 0x10,
0x00, 0x04, 0x10,
0x08, 0x08, 0x10,
0x0A, 0x08, 0x10,
0x0C, 0x08, 0x10,
0x0E, 0x08, 0x10,
0x10, 0x08, 0x10,
0x10, 0x08, 0x0E,
0x10, 0x08, 0x0C,
0x10, 0x08, 0x0A,
0x10, 0x08, 0x08,
0x10, 0x0A, 0x08,
0x10, 0x0C, 0x08,
0x10, 0x0E, 0x08,
0x10, 0x10, 0x08,
0x0E, 0x10, 0x08,
0x0C, 0x10, 0x08,
0x0A, 0x10, 0x08,
0x08, 0x10, 0x08,
0x08, 0x10, 0x0A,
0x08, 0x10, 0x0C,
0x08, 0x10, 0x0E,
0x08, 0x10, 0x10,
0x08, 0x0E, 0x10,
0x08, 0x0C, 0x10,
0x08, 0x0A, 0x10,
0x0B, 0x0B, 0x10,
0x0C, 0x0B, 0x10,
0x0D, 0x0B, 0x10,
0x0F, 0x0B, 0x10,
0x10, 0x0B, 0x10,
0x10, 0x0B, 0x0F,
0x10, 0x0B, 0x0D,
0x10, 0x0B, 0x0C,
0x10, 0x0B, 0x0B,
0x10, 0x0C, 0x0B,
0x10, 0x0D, 0x0B,
0x10, 0x0F, 0x0B,
0x10, 0x10, 0x0B,
0x0F, 0x10, 0x0B,
0x0D, 0x10, 0x0B,
0x0C, 0x10, 0x0B,
0x0B, 0x10, 0x0B,
0x0B, 0x10, 0x0C,
0x0B, 0x10, 0x0D,
0x0B, 0x10, 0x0F,
0x0B, 0x10, 0x10,
0x0B, 0x0F, 0x10,
0x0B, 0x0D, 0x10,
0x0B, 0x0C, 0x10,
0x26, 0x2B, 0x2F,
0x2A, 0x2D, 0x30,
0x2B, 0x2E, 0x30,
0x2B, 0x2E, 0x30,
0x2B, 0x2E, 0x30,
0x2B, 0x2E, 0x30,
0x2B, 0x2E, 0x30,
0x2B, 0x2E, 0x30,
0 };

